Skip to main content
GET
/
api
/
v2
/
minikit
/
userop
/
{user_op_hash}
Get User Operation
curl --request GET \
  --url https://developer.world.org/api/v2/minikit/userop/{user_op_hash}
{
  "status": "pending",
  "userOpHash": "0x8004b63530b968a2a2c9ff414e01fc06a3ec5e4068d36d923df6aa4334744369",
  "sender": null,
  "transaction_hash": null,
  "nonce": null
}

Path Parameters

user_op_hash
string
required

The MiniKit userOpHash returned by MiniKit.sendTransaction() or eth_sendTransaction through the World App provider.

Pattern: ^0x[a-fA-F0-9]{64}$

Response

User operation status

status
enum<string>

Current user operation status.

Available options:
pending,
success,
failed
userOpHash
string

The MiniKit user operation hash.

sender
string | null

The sender address when known.

transaction_hash
string | null

Final on-chain transaction hash, if available.

nonce
string | null

User operation nonce, if available.